import * as React from 'react';
import { UseCheckoutValues, UseCheckoutQueries, UseCheckoutConfig } from '../useCheckout';
import { UseSearchValues, UseSearchQueries, UseSearchConfig } from '../useSearch';
import { QueryFunction } from '../types';
interface ShopifyContextValue {
    checkout: UseCheckoutValues;
    search: UseSearchValues;
}
export declare const ShopifyContext: React.Context<ShopifyContextValue | undefined>;
export declare const ShopifyConsumer: React.Consumer<ShopifyContextValue | undefined>;
export declare const useShopify: () => ShopifyContextValue;
declare type CustomQueries = Partial<UseCheckoutQueries & UseSearchQueries>;
interface Props {
    children: React.ReactNode;
    query: QueryFunction;
    queries?: CustomQueries;
    config?: {
        search: Partial<UseSearchConfig>;
        checkout: Partial<UseCheckoutConfig>;
    };
}
export declare const ShopifyProvider: ({ children, queries, query, config: userConfig, }: Props) => JSX.Element;
export {};
